#include "err_and_warn.h"
#include <stdio.h>
#include <stdlib.h>
#include "Rogus_McBogus.h"

err_and_warn ew;

static void helper(int msg_type, const char* format, ...)
{
	va_list ap;
	va_start(ap,format);
	tw.vpr(format, ap, msg_type);
	va_end(ap);
}

void
err_and_warn::
e( const char *format, ... )
{
	helper(Rogus_McBogus::err, "Error: ");

	va_list ap;
	va_start( ap, format );
	tw.vpr( format, ap, Rogus_McBogus::err );
	va_end( ap );

	helper(Rogus_McBogus::err, "\n");
 	throw err();
}

void
err_and_warn::
a( const char *format, ... )
{
	helper(Rogus_McBogus::err, "Alert: ");

	va_list ap;
	va_start( ap, format );
	tw.vpr( format, ap, Rogus_McBogus::err );
	va_end( ap );

	helper(Rogus_McBogus::err, "\n");
}

void
err_and_warn::
w( const char *format, ... )
{
	helper(Rogus_McBogus::warn, "Warning: ");

	va_list ap;
	va_start( ap, format );
	tw.vpr( format, ap, Rogus_McBogus::warn );
	va_end( ap );

	helper(Rogus_McBogus::warn, "\n");
}

// Authors: Ben Denckla, Patrick Pelletier
