/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef NOTEPAIRSCOREELEMENT_H
#define NOTEPAIRSCOREELEMENT_H

#include "MIDI_lib.h"
#include "sched.h"

typedef long NotePairScoreTime;
typedef float NotePairScoreScale;

class NotePairScoreElement {
public:
	MIDI_msg msg;
	NotePairScoreTime dur;

	void play(NotePairScoreScale, ScheduleTime) const;
	NotePairScoreElement& operator=(const NotePairScoreElement& npse)
	{
		msg = npse.msg;
		dur = npse.dur;
		return (*this);
	}
	Bool operator==(const NotePairScoreElement& npse) const
	{
		return (msg == npse.msg && dur == npse.dur);
	}
};

#endif

// Author: Patrick Pelletier
