/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef STATE_H
#define STATE_H

#include "UtilPtr.h"
#include "ChannelState.h"
#include "MIDI_lib.h"
#include "PerChannel.h"

class State : public PerChannel<ChannelStatePtr> {
	static ChannelState defaultChannelState;
public:
  typedef UtilPtr<ChannelState> ChannelStatePtr;
  typedef PerChannel<Bool> ChannelUseMap;
  typedef UtilPtr<ChannelUseMap> ChannelUseMapPtr;
  State(ChannelUseMapPtr);
  void update(const MIDI_msg*);
  void change(const State*, void (*outfunc)(const MIDI_msg&));
};

#endif
// Author: Patrick Pelletier
